Subject: Re: [PATCH v2] openvswitch: Fix L4 checksum handling when dealing with IP fragments

From: Glenn Griffin <[email-masked]>
Date: Mon, 10 Aug 2015 10:43:16 -0700

On Mon, Aug 03, 2015 at 02:03:28PM -0700, David Miller wrote:
> From: Glenn Griffin <[email-masked]>
> Date: Mon, 3 Aug 2015 09:56:54 -0700
> 
> > openvswitch modifies the L4 checksum of a packet when modifying
> > the ip address. When an IP packet is fragmented only the first
> > fragment contains an L4 header and checksum. Prior to this change
> > openvswitch would modify all fragments, modifying application data
> > in non-first fragments, causing checksum failures in the
> > reassembled packet.
> > 
> > Signed-off-by: Glenn Griffin <[email-masked]>
> > ---
> > Changes in v2:
> >   - Compare frag_off in network byte order rather than host byte order
> 
> Applied and queued up for -stable.

I noticed this change didn't seem to make it into 4.2-rc6. I'm not too
familiar with the release schedule so wasn't sure if that was expected
or an oversight. Will this remain queued up until the 4.3 merge window
opens?